#include "bump.h"

#include "inc/msp432p401r.h"

void BumpInit(void) {
    P4->SEL0 &= ~BUMP_PINS;
    P4->SEL1 &= ~BUMP_PINS; // configure P4.0 P4.2 P4.3 P4.5 P4.6 P4.7 as gpio
    P4->DIR  &= ~BUMP_PINS; // configure as input
    P4->REN  |=  BUMP_PINS; // enable pull resisors
}

uint8_t BumpRead(void) {
    return P4->IN;
}